Wallet trades
curl --request GET \
--url https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/tradesimport requests
url = "https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"trades": [
{
"id": "0f3c1f9e-5f43-4d57-9f71-2c1a3b4d5e6f",
"executedAt": 1762041600000,
"tradingPairId": "123e4567-e89b-12d3-a456-426614174000",
"tradingMode": "MARGIN",
"role": "TAKER",
"side": "BUY",
"price": "100.5",
"quantity": "0.25",
"quantityRaw": "250000000000000000",
"quoteVolumeRaw": "25125000",
"executionSource": "CLOB",
"counterparty": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
"builder": {
"id": "789e0123-e45b-12d3-a456-426614174000",
"kind": "application",
"name": "Monaco SDK",
"code": "MON",
"color": "#112233",
"verified": true,
"group": {
"id": "5b1e2c9a-0f6d-4e8b-9a71-3c2d4e5f6a7b",
"name": "Monaco",
"code": "MON"
},
"applications": [
{
"id": "789e0123-e45b-12d3-a456-426614174000",
"name": "Monaco SDK",
"clientId": "6fe0da813f1a4adcbe675d52ca530a43",
"active": true,
"archived": false,
"additionalTakerFeeBps": 0,
"additionalMakerFeeBps": 0,
"isDefault": false,
"additionalTakerFeeCbps": 0,
"additionalMakerFeeCbps": 0
}
]
}
}
],
"pageSize": 50,
"nextPageToken": "<string>"
}Analytics
Wallet trades
Every fill one wallet was in, as maker or taker, newest first, every market and application. No fee is published.
GET
/
api
/
v1
/
analytics
/
wallets
/
{wallet}
/
trades
Wallet trades
curl --request GET \
--url https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/tradesimport requests
url = "https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimonaco.xyz/api/v1/analytics/wallets/{wallet}/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"trades": [
{
"id": "0f3c1f9e-5f43-4d57-9f71-2c1a3b4d5e6f",
"executedAt": 1762041600000,
"tradingPairId": "123e4567-e89b-12d3-a456-426614174000",
"tradingMode": "MARGIN",
"role": "TAKER",
"side": "BUY",
"price": "100.5",
"quantity": "0.25",
"quantityRaw": "250000000000000000",
"quoteVolumeRaw": "25125000",
"executionSource": "CLOB",
"counterparty": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
"builder": {
"id": "789e0123-e45b-12d3-a456-426614174000",
"kind": "application",
"name": "Monaco SDK",
"code": "MON",
"color": "#112233",
"verified": true,
"group": {
"id": "5b1e2c9a-0f6d-4e8b-9a71-3c2d4e5f6a7b",
"name": "Monaco",
"code": "MON"
},
"applications": [
{
"id": "789e0123-e45b-12d3-a456-426614174000",
"name": "Monaco SDK",
"clientId": "6fe0da813f1a4adcbe675d52ca530a43",
"active": true,
"archived": false,
"additionalTakerFeeBps": 0,
"additionalMakerFeeBps": 0,
"isDefault": false,
"additionalTakerFeeCbps": 0,
"additionalMakerFeeCbps": 0
}
]
}
}
],
"pageSize": 50,
"nextPageToken": "<string>"
}Query Parameters
Response
OK
Was this page helpful?

